package com.taauav.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 任务信息展示
 *
 * @author dyg
 * @date 2019/11/22
 */
@Data
public class TauvInspectDriverDTO extends BaseInspectDriverDTO {
//    /**
//     * 飞手
//     */
//    private String flightHand;
//    private String flightHandText;

    /**
     * 飞手
     */
    private String inspectHand;

    /**
     * 飞手名称
     */
    private String inspectHandName;

    /**
     * 无人机设备
     */
    private String equipmentId;

    /**
     * 无人机设备名称
     */
    private String equipmentName;

    /**
     * 挂载设备
     */
    private String mountequipmentId;

    /**
     * 挂载设备名称
     */
    private String mountequipmentName;

    /**
     * 添加时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String formatCreateTime;
    /**
     * 添加人
     */
    private Integer createUser;
    private String formatCreateUser;
    /**
     * 状态
     */
    private Integer status;
    private String statusText;

    /**
     * 任务类型
     */
    private Integer type;
    private String typeText;

    /**
     * 期望巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectTime;
    private String formatInspectTime;

    /**
     * 巡检长度
     */
    private BigDecimal inspectLength;

//    /**
//     * 执行周期（如：每月10号）
//     */
//    private String executionCycle;

    /**
     * 报告创建时间
     */
    private String formatInputTime;

    /**
     * 河流起点
     */
    private String driverStart;

    /**
     * 河流终点
     */
    private String driverEnd;

    /**
     * 执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date executionTime;
    private String formatExecutionTime;

    /**
     * 飞行时长
     */
    private BigDecimal flightTime;

    /**
     * 河道长度
     */
    private BigDecimal driverLength;

    /**
     * 航线文件名
     */
    private String driverFilename;

    /**
     * 航线文件
     */
    private String driverFile;
}
