package com.taauav.admin.service;

import com.taauav.admin.entity.TauvWaterStandard;
import com.taauav.admin.query.TauvWaterStandardQuery;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * 地表水环境质量标准 服务类
 *
 * @author daixiantong
 * @date 2020-05-13
 */
public interface ITauvWaterStandardService extends IBaseService<TauvWaterStandard> {

    /**
     * 自定义分类列表
     * @param query
     * @return
     */
    Response getPageList(TauvWaterStandardQuery query);

    /**
     * 添加、编辑标准
     * @param waterStandard
     * @return
     */
    Response editStandard(TauvWaterStandard waterStandard);

    /**
     * 删除
     * @param waterStandard
     * @return
     */
    Response dropStandard(TauvWaterStandard waterStandard);
}
