package com.taauav.front.vo;

import lombok.Data;

/**
 * 问题列表Vo
 */
@Data
public class LSReportQuestionListVo {

    /**
     * 问题ID
     */
    private Integer id;

    /**
     * 分类：1水面 2岸线 3排口 4水质
     */
    private Integer category;

    /**
     * 分类描述
     */
    private String categoryName;

    /**
     * 类型：1日常监测 2重点核查
     */
    private Integer type;

    /**
     * 问题描述
     */
    private String typeName;

    /**
     * 问题数量
     */
    private Integer questionNum;

    /**
     * 报告描述
     */
    private String remark;

    /**
     * 问题选项
     */
    private String content;

    /**
     * 备注
     */
    private String note;

    /**
     * 考核分
     */
    private Integer examineScore;

    /**
     * 校核分
     */
    private Integer checkScore;

}
